/* This is for coming soon css. */

.coming-soon-page {
  position: relative;
  min-height: 650px;

  @media (max-width: 768px) {
    min-height: 450px;
  }
}

.position-relative {
  position: relative;
}

.coming-soon-circle {
  position: absolute;
  left: 50%;
  top: calc(30% + 14px);
  transform: translateX(-50%);
  width: min(1200px, 90vw);
  height: min(1200px, 90vw);
  border-radius: 50%;
  border: 2px solid rgba(0, 0, 0, 0.12);
  border-bottom: none;
  clip-path: inset(-20% -20% 50% -20%);
  filter: blur(2px) brightness(1.2);
  pointer-events: none;
  overflow: hidden;
  box-shadow: 0px -8px 16px 0px #72103414;
  background: linear-gradient(
    183.98deg,
    #ffffff 3.25%,
    rgba(255, 255, 255, 0) 96.69%
  );
  @media (max-width: 768px) {
     top: calc(30% + 124px);
  }
}

.coming-soon-container {
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 210px 0;
  position: relative;
  width: 88.9%;
   @media (max-width: 768px) {
     padding: 120px 0 0 0;
  }
}

/* @media (max-width: 768px) {
  .coming-soon-container {
    padding: 170px 0;
  }
} */

@media (max-width: 480px) {
  .coming-soon-container {
    padding: 120px 0 0 0;
  }
}

.coming-soon-title {
  font-size: clamp(40px, 8vw, 96px);
  line-height: 1.1;
  margin: 0;
  font-weight: 700;
  color: var(--light-black);
}

.coming-soon-subtitle {
  margin-top: 16px;
  margin-bottom: 28px;
  font-size: clamp(16px, 2.2vw, 20px);
  color: #6b7280;
}

html[data-theme="dark"] .coming-soon-circle {
  border: 2px solid rgba(255, 255, 255, 0.12);
  box-shadow: 0px -8px 16px 0px #f1c2d314;
  background: linear-gradient(
    183.98deg,
    #262626 3.25%,
    rgba(38, 38, 38, 0) 100%
  );
}

html[data-theme="dark"] .coming-soon-title,
html[data-theme="dark"] .coming-soon-subtitle {
  color: var(--dark-theme-white);
}
